#  ggtree: a phylogenetic tree viewer for different types of tree annotations

<!--[![Build Status](https://travis-ci.org/GuangchuangYu/ggtree.svg?branch=master)](https://travis-ci.org/GuangchuangYu/ggtree)
[![Build Status](https://ci.appveyor.com/api/projects/status/github/GuangchuangYu/ggtree?svg=true)](https://ci.appveyor.com/project/GuangchuangYu/ggtree/branch/master)-->
[![platform](http://www.bioconductor.org/shields/availability/devel/ggtree.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ggtree.html#archives)
[![Build Status](http://www.bioconductor.org/shields/build/devel/bioc/ggtree.svg)](http://bioconductor.org/checkResults/devel/bioc-LATEST/ggtree/)
[![Bioc](http://www.bioconductor.org/shields/years-in-bioc/ggtree.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ggtree.html#since)
[![post](http://www.bioconductor.org/shields/posts/ggtree.svg)](https://support.bioconductor.org/t/ggtree/)
[![commit](http://www.bioconductor.org/shields/commits/bioc/ggtree.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ggtree.html#svn_source)
[![download](http://www.bioconductor.org/shields/downloads/ggtree.svg)](http://bioconductor.org/packages/stats/bioc/ggtree.html)


The `ggtree` package extending the `ggplot2` package. It based on grammar of graphics and takes all the good parts of `ggplot2`. 

`ggtree` is designed for not only viewing phylogenetic tree but also displaying annotation data in the tree. 

A discussion forum can be found at <https://groups.google.com/forum/#!forum/bioc-ggtree>

## Authors ##

Guangchuang Yu and Tommy Tsan-Yuk Lam, School of Public Health, The University of Hong Kong.

## Citation ##

Please cite the following article when using `ggtree`:

```
G Yu, D Smith, H Zhu, Y Guan, TTY Lam,
ggtree: an R package for visualization and annotation of phylogenetic tree 
		with different types of meta-data.
Methods in Ecology and Evolution, submitted
```

## License ##

All source code is copyright, under the Artistic-2.0 License.
For more information on Artistic-2.0 License see <http://opensource.org/licenses/Artistic-2.0>

## Installation ##

To install:
 * the latest released version: `biocLite("ggtree")`
 * the latest development version: `devtools::install_github("GuangchuangYu/ggtree")`

## Documentation ##

To view the vignette of `ggtree` installed in your system, start `R` and enter:
```r
vignette("ggtree", package = "ggtree")
```

More documents can be found in <http://guangchuangyu.github.io/tags/ggtree>.


## Bugs/Feature requests ##

 - If you have any, [let me know](https://github.com/GuangchuangYu/ggtree/issues). Thx!

